> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tree-nation.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tree-nation.com/_mcp/server.

# Get project details

GET https://tree-nation.com/api/projects/{project_id}

Retrieve the details about a project.

Reference: https://docs.tree-nation.com/api-reference/projects/get-project

## Request

### Path parameters

- `project_id` (integer, required) — Project ID.

## Response

### 200

Project details including planting density.

- `id` (integer, optional)
- `slug` (string, optional)
- `name` (string, optional)
- `location` (string, optional, nullable)
- `description` (string, optional, nullable)
- `status` (enum, optional) — `active` = affiliated project where trees can be planted.
  - Allowed values: `active`, `inactive`
- `species_price_from` (double, optional) — Lowest species price in the project.
- `lat` (double, optional, nullable)
- `long` (double, optional, nullable)
- `image` (string, optional, nullable)
- `url` (string, optional) — Front-end URL for this project.
- `planting_density` (double, optional, nullable)

## Errors

### 404 Not Found Error

Project not found.

- `any`

## Examples

**Response**

```json
{
  "id": 3,
  "slug": "la-pedregoza",
  "name": "La Pedregoza",
  "location": "Colombia",
  "description": "string",
  "status": "active",
  "species_price_from": 2,
  "lat": 6.08824,
  "long": -67.723885,
  "image": "string",
  "url": "https://tree-nation.com/projects/la-pedregoza",
  "planting_density": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://tree-nation.com/api/projects/1"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://tree-nation.com/api/projects/1';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tree-nation.com/api/projects/1"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tree-nation.com/api/projects/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://tree-nation.com/api/projects/1")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://tree-nation.com/api/projects/1');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tree-nation.com/api/projects/1");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tree-nation.com/api/projects/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```